| eRPC API Reference Rev. 1.8.1 NXP Semiconductors

- Main Page
- API Reference
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
erpc::MessageBufferFactory Class Referenceabstract
Infrastructure » Serialization

Abstract interface for message buffer factory. More...

`#include <erpc_message_buffer.h>`

Inheritance diagram for erpc::MessageBufferFactory:
[legend]

## Public Member Functions
| MessageBufferFactory (void)
| Constructor. More...
virtual | ~MessageBufferFactory (void)
| ClientManager destructor.
virtual MessageBuffer | create (void)=0
| This function creates new message buffer. More...
virtual bool | createServerBuffer (void)
| This function informs server if it has to create buffer for received message. More...
virtual erpc_status_t | prepareServerBufferForSend (MessageBuffer *message)
| This function is preparing output buffer on server side. More...
virtual void | dispose (MessageBuffer *buf)=0
| This function disposes message buffer. More...

## Detailed Description

Abstract interface for message buffer factory.

## Constructor & Destructor Documentation

erpc::MessageBufferFactory::MessageBufferFactory | ( | void |  | ) |
| inline

Constructor.

This function initializes object attributes.

## Member Function Documentation

virtual MessageBuffer erpc::MessageBufferFactory::create | ( | void |  | ) |
| pure virtual

This function creates new message buffer.

Returns
  New created MessageBuffer.

Implemented in StaticMessageBufferFactory, RPMsgTTYMessageBufferFactory, RPMsgMessageBufferFactory, and DynamicMessageBufferFactory.

virtual bool erpc::MessageBufferFactory::createServerBuffer | ( | void |  | ) |
| inline virtual

This function informs server if it has to create buffer for received message.

Returns
  Has to return TRUE when server need create buffer for receiving message.

Reimplemented in RPMsgTTYMessageBufferFactory, and RPMsgMessageBufferFactory.

erpc_status_t MessageBufferFactory::prepareServerBufferForSend | ( | MessageBuffer * | message | ) |
| virtual

This function is preparing output buffer on server side.

This function do decision if this function want reuse buffer, or use new buffer. In case of using new buffer function has to free given buffer.

Parameters

  [in] | message | MessageBuffer which can be reused.

Reimplemented in RPMsgTTYMessageBufferFactory, and RPMsgMessageBufferFactory.

virtual void erpc::MessageBufferFactory::dispose | ( | MessageBuffer * | buf | ) |
| pure virtual

This function disposes message buffer.

Parameters

  [in] | buf | MessageBuffer to dispose.

Implemented in StaticMessageBufferFactory, RPMsgTTYMessageBufferFactory, RPMsgMessageBufferFactory, and DynamicMessageBufferFactory.

The documentation for this class was generated from the following files:

- erpc_message_buffer.h
- erpc_message_buffer.cpp